setpdfmetadata(1)

NAME
setpdfmetadata - PDF Metadata Updater

SYNOPSIS
setpdfmetadata input_pdf metadata_file output_pdf

DESCRIPTION
setpdfmetadata is tool to add and update the metadata of a PDF file. In particular, it can be used to add outlines (bookmarks) to a document. Furthermore, it can set the document properties (e.g. author, title, keywords, creator, producer).
The metadata may contain the following commands:

outline Level Page Bookmark
    Add a PDF outline at the given level (0=chapter, 1=section, 2=subsection, 3=subsubsection, 4=paragraph, ...) and pointing to the given page number. Bookmark denotes the label text.

author Author
    Sets the document author to the given value.

title Title
    Sets the document title to the given value.

subject Subject
    Sets the document subject to the given value.

keywords Keywords
    Sets the document keywords to the given value.

creator Creator
    Sets the document creator to the given value.

producer Producer
    Sets the document producer to the given value.

ARGUMENTS
The following arguments have to be provided:

input_pdf
    The input PDF file name.

metadata_file
    The metadata file name.

output_pdf
    The output PDF file name.

EXIT STATUS
The setpdfmetadata tool exits with 0 on success, and >0 in case of an error.

EXAMPLES
A setpdfmetadata usage example:

setpdfmetadata MyDocument.pdf MyMetadata.meta MyDocument-Updated.pdf
A metadata example:
outline 1 1 Chapter 1
outline 2 2 Section 1.1
outline 2 4 Section 1.2
outline 1 6 Chapter 2
author John Smith
title An Example Document
keywords Example, PDF, setpdfmetadata

SEE ALSO
pdfembedfonts(1)

NOTES
This program is part of NetPerfMeter. The latest version of NetPerfMeter can be found on the NetPerfMeter Homepage at NetPerfMeter Homepage: https://www.nntb.no/~dreibh/netperfmeter/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh